# Кварк "Дробное" -- вещественное значение.

кварк: Дробное
база: float64
реализация: ./lev1/quarq/quarq_float/

атрибуты:
  док: |
    Дробное -- вещественное значение.
    Обеспечивает прецизионные вычисления и работу
    с непрерывными числами.
  дефолт: 0.0

состояние:
  знач: 0.0 # Текущее состояние (float64)

методы:
  - Доб: "Добавить массу другого кварка"
  - Выч: "Уменьшить массу за счет другого кварка"
  - Умн: "Умножить массу на величину другого кварка"
  - Дел: "Разделить на массу другого кварка (паника при 0)"
  - Сброс: "Сбросить в дефолт"
  - Уст: "Установить значение"
  - Получ: "Вернуть хранимое значение"
  - ЕслиРавно: "Проверить на равенство"
  - ЕслиБольше: "Проверить на превышение"
  - ЕслиМеньше: "Проверить на дефицит"
  - КакЦел: "Преобразовать в Целое"
  - КакСтр: "Преобразовать в строку"
  - КакБул: "Преобразовать в Бул"